ci: remove unhelpful helper functions for make (#22148)

This commit is contained in:
dundargoc 2023-02-06 23:14:41 +01:00 committed by GitHub
parent e1f03c481a
commit aa04efcf57
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 6 additions and 21 deletions

View File

@ -6,15 +6,6 @@ _stat() {
fi
}
top_make() {
printf '%78s\n' ' ' | tr ' ' '='
ninja "$@"
}
build_make() {
top_make -C "${BUILD_DIR}" "$@"
}
build_deps() {
if test "${FUNCTIONALTEST}" = "functionaltest-lua" ; then
DEPS_CMAKE_FLAGS="${DEPS_CMAKE_FLAGS} -DUSE_BUNDLED_LUA=ON"
@ -35,9 +26,7 @@ build_deps() {
# shellcheck disable=SC2086
CC= cmake -G Ninja ${DEPS_CMAKE_FLAGS} "${CI_BUILD_DIR}/cmake.deps/"
if ! top_make; then
exit 1
fi
ninja || exit 1
cd "${CI_BUILD_DIR}"
}
@ -56,15 +45,11 @@ build_nvim() {
cmake -G Ninja ${CMAKE_FLAGS} "$@" "${CI_BUILD_DIR}"
echo "Building nvim."
if ! top_make nvim ; then
exit 1
fi
ninja nvim || exit 1
if test "$CLANG_SANITIZER" != "TSAN" ; then
echo "Building libnvim."
if ! top_make libnvim ; then
exit 1
fi
ninja libnvim || exit 1
fi
# Invoke nvim to trigger *San early.

View File

@ -90,7 +90,7 @@ check_sanitizer() {
unittests() {(
ulimit -c unlimited || true
if ! build_make unittest ; then
if ! ninja -C "${BUILD_DIR}" unittest; then
fail 'unittests' 'Unit tests failed'
fi
submit_coverage unittest
@ -99,7 +99,7 @@ unittests() {(
functionaltests() {(
ulimit -c unlimited || true
if ! build_make "${FUNCTIONALTEST}"; then
if ! ninja -C "${BUILD_DIR}" "${FUNCTIONALTEST}"; then
fail 'functionaltests' 'Functional tests failed'
fi
submit_coverage functionaltest
@ -140,7 +140,7 @@ check_runtime_files() {(
)}
install_nvim() {(
if ! build_make install ; then
if ! ninja -C "${BUILD_DIR}" install; then
fail 'install' 'make install failed'
exit 1
fi